{
  "schema_version": "1.4.0",
  "id": "GHSA-jm9f-94hg-cq9c",
  "modified": "2022-05-02T03:54:00Z",
  "published": "2022-05-02T03:54:00Z",
  "aliases": [
    "CVE-2009-4356"
  ],
  "details": "Multiple integer overflows in the jpeg.w5s and png.w5s filters in Winamp before 5.57 allow remote attackers to execute arbitrary code via malformed (1) JPEG or (2) PNG data in an MP3 file.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-4356"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A15743"
    },
    {
      "type": "WEB",
      "url": "http://forums.winamp.com/showthread.php?threadid=315355"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/508532/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/37387"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/3576"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/exploits/Winamp_png_w5s_PNG_Data_Processing_Integer_Overflow_PoC_3576274.php"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-12-18T19:30:00Z"
  }
}